package commonctx

import (
	"context"
)

// AddRequestID will add the provided requestID in the context.
func AddRequestID(ctx context.Context, requestID string) context.Context {
	return context.WithValue(ctx, ContextKey_RequestID, requestID)
}

// GetRequestID retrieve a requestID from the context.
func GetRequestID(ctx context.Context) *string {
	if requestID := ctx.Value(ContextKey_RequestID); requestID != nil {
		return requestID.(*string)
	}
	return nil
}
